<!--{include file="<!--{$oetplpath}-->block_head.tpl"}-->
<!--{if $a == "run"}-->
<div class="oemarry_layout">
  <div class="oe_top_nav"><i></i>财务管理->帐户余额记录</div>
  <div class="oe_content">
	
	<form id="serform" action="<!--{$oefile}-->&c=<!--{$c}-->" method="post">
	<div class="oe_txtwrap">
	  会员ID：<input type="text" name="suserid" id="suserid" class="input-120" value="<!--{if $suserid > 0}--><!--{$suserid}--><!--{/if}-->" />&nbsp;
	  内容：<input type="text" name="stext" id="stext" class="input-150" value="<!--{$stext}-->" />&nbsp;
	  起始日期：<input type="text" name="sdate" id="sdate" class="input-100" value="<!--{$sdate}-->" />&nbsp;
	  结束日期：<input type="text" name="edate" id="edate" class="input-100" value="<!--{$edate}-->" />&nbsp;
	  &nbsp;&nbsp;<input type="submit" name="btn_search" id="btn_search" class="button_2" value="搜索" />
		<script>
		laydate({
			elem: '#sdate',
			format: 'YYYY-MM-DD',
			istime: false,
			choose: function(datas){}
		});
		</script>
		<script>
		laydate({
			elem: '#edate',
			format: 'YYYY-MM-DD',
			istime: false,
			choose: function(datas){}
		});
		</script>
	</div>
	</form>


    <table class="oe_table_list table_cs">
	  <tr>
	    <th width="8%">ID</th>
		<th width="9%">会员ID</th>
		<th width="13%">会员名</th>
		<th width="15%">操作时间</th>
		<th width="12%">增加(元)</th>
		<th width="12%">减少(元)</th>
		<th>操作备注</th>
	  </tr>
	  <!--{if empty($money)}-->
	  <tr>
	    <td class="text_center" colspan="7">没有符合条件的信息</td>
	  </tr>
	  <!--{else}-->
	  <!--{foreach $money as $volist}-->
	  <tr>
	    <td class="text_center"><!--{$volist.actionid}--></td>
		<td class="text_center"><!--{$volist.userid}--></td>
		<td>
		<!--{$volist.username}-->
		<!--{if $volist.type == '2'}-->
		（商家）
		<!--{else}-->
		（个人）
		<!--{/if}-->
		</td>
		<td class="text_center"><!--{$volist.actiontime|date_format:"%Y-%m-%d %H:%M:%S"}--></td>
		<td class="text_center">
		<!--{if $volist.actiontype == '1'}-->
		<font color="red">+<!--{doubleval($volist.quantity)}--></font>
		<!--{/if}-->
		</td>
		<td class="text_center">
		<!--{if $volist.actiontype == '2'}-->
		<font color="green">-<!--{doubleval($volist.quantity)}--></font>
		<!--{/if}-->
		</td>
		<td><!--{$volist.logcontent}--></td>
	  </tr>
	  <!--{/foreach}-->
	  <!--{/if}-->
	</table>

	<div class="oe_page_box"><!--{$showpage}--></div>

  </div>
</div>
<!--{/if}-->

<!--{if $a == 'add'}-->
<div class="oemarry_layout">
  <div class="oe_content">
    <h6>操作帐户余额</h6>
    <table class="oe_table_wrap">
	  <tr>
	    <th width="15%">会员ID：<span class="f_red"></span></th>
		<td width="35%"><!--{$user.userid}--></td>
		<th width="15%">会员名称：</th>
		<td width="35%"><!--{$user.username}--></td>
	  </tr>
	  <tr>
	    <th>类型：<span class="f_red"></span></th>
		<td>
		  <!--{if $user.type == '2'}-->商家<!--{else}-->个人<!--{/if}-->
		</td>
		<th>帐户余额：</th>
		<td><!--{$user.money}--></td>
	  </tr>
	  <tr>
	    <th><!--{$config.moneyname}-->去向：<span class="f_red">*</span> </th>
		<td>
		<select name="actiontype" id="actiontype">
		  <option value="">请选择</option>
		  <option value="1">增加</option>
		  <option value="2">减少</option>
		</select>
		</td>
		<th>金额：<span class="f_red">*</span></th>
		<td><input type="text" name="quantity" id="quantity" class="input-100" /></td>
	  </tr>
	  <tr>
	    <th>操作日志：<span class="f_red">*</span></th>
		<td colspan="3"><textarea name="logcontent" id="logcontent" style="width:80%;height:40px;"></textarea></td>
	  </tr>
	  <tr>
	    <td></td>
		<td colspan="3"> <input type="button" id="btn_save" class="button_2" value="提交保存" /> </td>
	  </tr>
	</table>
  </div>
</div>
<script type="text/javascript">
$(function(){

	$("#btn_save").bind("click", function(){
		if ($("#actiontype").val().length == 0) {
			ToastTips("请选择去向类型", "actiontype");
			return false;
		}

		if ($("#quantity").val() == "") {
			ToastTips("请填写金额", "quantity");
			return false;
		}

		if ($("#logcontent").val().length == 0) {
			ToastTips("请填写操作日志", "logcontent");
			return false;
		}

		$.ajax({
			type: "POST",
			url: "<!--{$oefile}-->&c=<!--{$c}-->",
			cache: false,
			data: {a:"saveadd", userid:"<!--{$user.userid}-->", actiontype:$("#actiontype").val(), quantity:$("#quantity").val(), logcontent:$("#logcontent").val(), r:get_rndnum(8)},
			dataType: "json",
			success: function(data) {
				$json = eval(data);
				$response = $json.response;
				$result = $json.result;
				if ($response == '1') {
					ToastTips("保存成功");
					setTimeout(function(){
						window.parent.location.reload();
					}, 300);
				}
				else {
					if ($result.length > 0) {
						ToastTips($result);
					}
					else {
						ToastTips("保存失败");
					}
				}
			},
			error: function() {
				ToastTips("提交失败，请检查网络...");
			}
		});

	});
});
</script>
<!--{/if}-->
</body>
</html>